get settings
Get the system settings. This endpoint returns the full configuration of the Typemill installation, including the version, the active theme, plugin settings and more.
Authorization
Minimum role for authorization is "manager".
Endpoint
GET /api/v1/settings
Request Example
curl -X GET 'https://yourwebsite.com/api/v1/settings'
Response Example
{
"settings": {
"version": "2.14.0",
"title": "Typemill",
"author": "Sebastian",
"copyright": "CC-BY",
"language": "en",
"langattr": "de",
"editor": "visual",
"storage": "\\Typemill\\Models\\Storage",
"formats": [
"table",
"quote",
"notice",
"image",
"video",
"file",
"toc",
"hr",
"definition",
"code",
"shortcode",
"markdown",
"headline",
"ulist",
"olist",
"audio"
],
"images": {
"live": {
"width": 820
},
"thumbs": {
"width": 250,
"height": 150
}
},
"systemSettingsPath": "/var/www/html/typemill/system/typemill/settings/",
"plugins": {
"demo": {
"active": true
},
"search": {
"placeholder": "Text for my text",
"resulttext": "Result",
"noresulttext": "bla",
"active": false
}
},
...
}